## IdeSearchProvider

IdeSearchProvider

## Functions

gunichar | ide_search_provider_get_prefix ()
gint | ide_search_provider_get_priority ()
const gchar * | ide_search_provider_get_verb ()
void | ide_search_provider_populate ()
GtkWidget * | ide_search_provider_create_row ()
void | ide_search_provider_activate ()

## Types and Values

#define | IDE_TYPE_SEARCH_PROVIDER
struct | IdeSearchProviderInterface
| IdeSearchProvider

## Description

## Functions

### ide_search_provider_get_prefix ()

    gunichar
    ide_search_provider_get_prefix (IdeSearchProvider *provider);

### ide_search_provider_get_priority ()

    gint
    ide_search_provider_get_priority (IdeSearchProvider *provider);

### ide_search_provider_get_verb ()

    const gchar *
    ide_search_provider_get_verb (IdeSearchProvider *provider);

### ide_search_provider_populate ()

    void
    ide_search_provider_populate (IdeSearchProvider *provider,
                                  IdeSearchContext *context,
                                  const gchar *search_terms,
                                  gsize max_results,
                                  GCancellable *cancellable);

### ide_search_provider_create_row ()

    GtkWidget *
    ide_search_provider_create_row (IdeSearchProvider *provider,
                                    IdeSearchResult *result);

Create a row to display the search result.

#### Parameters

provider | A IdeSearchProvider. |
result | A IdeSearchResult. |

#### Returns

A GtkWidget.

[transfer full]

### ide_search_provider_activate ()

    void
    ide_search_provider_activate (IdeSearchProvider *provider,
                                  GtkWidget *row,
                                  IdeSearchResult *result);

## Types and Values

### IDE_TYPE_SEARCH_PROVIDER

    #define IDE_TYPE_SEARCH_PROVIDER (ide_search_provider_get_type())

### struct IdeSearchProviderInterface

    struct IdeSearchProviderInterface {
      GTypeInterface parent_iface;

      gunichar     (*get_prefix)   (IdeSearchProvider *provider);
      gint         (*get_priority) (IdeSearchProvider *provider);
      const gchar *(*get_verb)     (IdeSearchProvider *provider);
      void         (*populate)     (IdeSearchProvider *provider,
                                    IdeSearchContext  *context,
                                    const gchar       *search_terms,
                                    gsize              max_results,
                                    GCancellable      *cancellable);
      GtkWidget  *(*create_row)    (IdeSearchProvider *provider,
                                    IdeSearchResult   *result);
      void        (*activate)      (IdeSearchProvider *provider,
                                    GtkWidget         *row,
                                    IdeSearchResult   *result);
    };

### IdeSearchProvider

    typedef struct _IdeSearchProvider IdeSearchProvider;